com.avaya.ccs.api

## Interface CustomerHistoryItemI

-     public interface CustomerHistoryItemI

  Represents a Contact that a `CustomerI` has been involved in. The set of `CustomerHistoryItemI`s makes up the `CustomerHistoryI`} for this Customer. Only Multimedia Contacts are returned: Voice contacts are not included in Customer History.

  `CustomerHistoryItem`s are requested using `InteractionI#requestCustomerInteractionMedia(String))`

  `CustomerHistoryItem`s are returned by CCS in a `PayloadType#CustomerInteractionMediaList` object

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getArrivalTime()` The arrival time of the contact
    `java.lang.String` | `getContactId()` The contact ID for this contact
    `ContactType` | `getContactType()` The Contact type of this contact
    `java.lang.String` | `getSkillset()` The Contact Center skillset which processed this Contact
    `java.lang.String` | `getStatus()` The current status of the Contact
    `java.lang.String` | `getSubject()` The subject for this Contact, if applicable

- - ### Method Detail

    - #### getArrivalTime

          java.lang.String getArrivalTime()

      The arrival time of the contact
      Returns:
        the arrival time of the contact as a String

    - #### getContactType

          ContactType getContactType()

      The Contact type of this contact
      Returns:
        the Contact type of this contact e.g. Email, Web_Communications etc.

    - #### getContactId

          java.lang.String getContactId()

      The contact ID for this contact
      Returns:
        the contact ID

    - #### getStatus

          java.lang.String getStatus()

      The current status of the Contact
      Returns:
        the contact Status

    - #### getSkillset

          java.lang.String getSkillset()

      The Contact Center skillset which processed this Contact
      Returns:
        the skillset which processed this Contact

    - #### getSubject

          java.lang.String getSubject()

      The subject for this Contact, if applicable
      Returns:
        the Subject for this Contact, if applicable